﻿<?PHP
/*
========================================================
 APADANA CMS VERSION 1.0.1 -- MODULE BY Kazem68N - FanoosTheme
--------------------------------------------------------
 http://apadanacms.ir/
--------------------------------------------------------
 Copyright (c) 2013 APADANA Group
========================================================
 Kazem1368@gmail.com
========================================================
*/
defined('security') or exit('Direct Access to this location is not allowed.');

function module_simplefaq_info()
{
	return array(
		'name' => 'simplefaq',
		'version' => '1.0',
		'creationDate' => '2013-08-19 22:22:22',
		'description' => 'ماژول سوالات متداول برای آپادانا.',
		'author' => 'kazem68n',
		'authorEmail' => 'kazem1368@gmail.com',
		'authorUrl' => 'http://www.apadanacms.ir',
		'license' => 'GNU/GPL',
	);
}
function module_simplefaq_install()
{
	global $d;
	member::check_admin_page_access('modules') or exit('Warning access!');
	$d->query("SET SQL_MODE=\"NO_AUTO_VALUE_ON_ZERO\"");
	$d->query("CREATE TABLE IF NOT EXISTS `#__simplefaq` (
  `id` int(3) NOT NULL AUTO_INCREMENT,
  `question` varchar(255) COLLATE utf8_persian_ci NOT NULL,
  `answer` varchar(1000) COLLATE utf8_persian_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_persian_ci AUTO_INCREMENT=1 ;");

	$d->insert('simplefaq',array(
	'id'=>1,
	'question'=>'سیستم مدیریت محتوای‌آپادانا چیست؟',
	'answer'=>'آپادانا یک سایت ساز کاملا ایرانی و به صورت متن باز منتشر می شود. با استفاده از این مدیریت محتوا می توانید در کم ترین زمان سایت دلخواه خود را راه اندازی کنید، همیشه آخرین نسخه آپادانا را از سایت پشتیبانی دریافت کنید تا امکان سوء استفاده توسط افراد سودجو وجود نداشته نباشد. ',
	));
	$d->insert('modules', array(
		'module_name' => 'simplefaq',
		'module_version' => '1.0',
		'module_status' => 0,
	));
	echo message('ماژول سوالات متداول با موفقیت نصب شد.', 'success');
}
function module_simplefaq_uninstall()
{
	global $d;
	member::check_admin_page_access('modules') or exit('Warning access!');
	$d->query("DROP TABLE `#__simplefaq`");
	$d->delete('modules', "module_name='simplefaq'", 1);
	$d->delete('admin', "admin_rights='simplefaq'", 1);
	echo message('ماژول  سوالات متداول با موفقیت حذف شد', 'success');
	remove_cache('module-simplefaq', true);
}
function module_simplefaq_active()
{
	global $d;

	member::check_admin_page_access('modules') or exit('Warning access!');
	$d->update('modules', array('module_status'=>1), "module_name='simplefaq'", 1);

	$d->insert('admin', array(
		'admin_rights' => 'simplefaq',
		'admin_image' => 'modules/simplefaq/html/images/simplefaq.png',
		'admin_title' => ' سوالات متداول',
		'admin_link' => '?admin={admin}&amp;module=simplefaq',
		'admin_page' => 2,
	));
	echo message('ماژول  سوالات متداول فعال شد.', 'success');
}
function module_simplefaq_inactive()
{
	global $d;
	$d->update('modules', array('module_status'=>0), "module_name='simplefaq'", 1);
	echo message('ماژول  سوالات متداول غیر فعال شد.', 'success');
}

function module_simplefaq_admin()
{
	member::check_admin_page_access('simplefaq') or warning('عدم دسترسی!', 'شما دسترسی لازم برای مشاهده این بخش را ندارید!');
	require_once(root_dir.'modules/simplefaq/functions.admin.php');
	$_GET['do'] = get_param($_GET, 'do');
switch($_GET['do'])
{
	case 'list':
	_list();
	break;

	case 'new':
	_new();
	break;
	
	case 'edit':
	_edit();
	break;
	
	case 'delete':
	_delete();
	break;
	
	case 'show':
	_show();
	break;
	
	default:
	_index();
	break;
}
}
?>
