﻿<?php
/*
========================================================
 APADANA CMS VERSION 1.0.1 -- MODULE BY Kazem68N - FanoosTheme
--------------------------------------------------------
 http://apadanacms.ir/
--------------------------------------------------------
 Copyright (c) 2013 APADANA Group
========================================================
 Kazem1368@gmail.com
========================================================
*/
defined('security') or exit('Direct Access to this location is not allowed.');
function _index()
{
member::check_admin_page_access('simplefaq') or warning('عدم دسترسی!', 'شما دسترسی لازم برای مشاهده این بخش را ندارید!');
	global $tpl, $d;
	set_title('سوالات متداول');
	$itpl = new template('modules/simplefaq/html/admin/index.tpl');
	$itpl->assign(array(
		'[not-show-simplefaq]' => null,
		'[/not-show-simplefaq]' => null,
		'[end]' => null,
		'[/end]' => null,
	));
	$itpl->block('#\\[show-simplefaq\\](.*?)\\[/show-simplefaq\\]#s', '');
	$itpl->block('#\\[show-simplefaq2\\](.*?)\\[/show-simplefaq2\\]#s', '');
	$tpl->assign('{content}', $itpl->get_var());
	unset($itpl);
}
function _list()
{
member::check_admin_page_access('simplefaq') or warning('عدم دسترسی!', 'شما دسترسی لازم برای مشاهده این بخش را ندارید!');
	global $d;
	set_title('سوالات متداول');
	$d->query("SELECT id,question,answer FROM #__simplefaq ORDER BY id ASC LIMIT 50");
	$itpl = new template('modules/simplefaq/html/admin/index.tpl');
	while($g = $d->fetch())
	{
		$itpl->add_for('simplefaq', array(
			'{odd-even}' => odd_even(),
			'{id}' => $g['id'],
			'{question}' => htmlencode($g['question']),
			'{answer}' => htmlencode($g['answer'])
		));
	}
	$itpl->assign(array(
		'[show-simplefaq]' => null,
		'[/show-simplefaq]' => null,
	));
	$itpl->block('#\\[not-show-simplefaq\\](.*?)\\[/not-show-simplefaq\\]#s', '');
	$itpl->block('#\\[show-simplefaq2\\](.*?)\\[/show-simplefaq2\\]#s', '');
	$itpl->block('#\\[end\\](.*?)\\[/end\\]#s', '');
	if (is_ajax())
	{
		define('no_template', true);
		$itpl->display();
	}
	else
	{
		return $itpl->get_var();
	}
	unset($itpl);
}
function _show(){
member::check_admin_page_access('simplefaq') or warning('عدم دسترسی!', 'شما دسترسی لازم برای مشاهده این بخش را ندارید!');
	global $d;
	set_title('سوالات متداول');
	$id=get_param($_GET,'id');
	$d->query("SELECT * FROM #__simplefaq WHERE id={$id} LIMIT 1");
	$itpl = new template('modules/simplefaq/html/admin/index.tpl');
	while($g = $d->fetch())
	{
		$itpl->assign( array(
			'{id}' => $g['id'],
			'{question}' => htmlencode($g['question']),
			'{answer}' => htmlencode($g['answer'])
		));
	}
	$itpl->assign(array(
		'[show-simplefaq2]' => null,
		'[/show-simplefaq2]' => null,
	));
	$itpl->block('#\\[not-show-simplefaq\\](.*?)\\[/not-show-simplefaq\\]#s', '');
	$itpl->block('#\\[show-simplefaq\\](.*?)\\[/show-simplefaq\\]#s', '');
	$itpl->block('#\\[end\\](.*?)\\[/end\\]#s', '');
	if (is_ajax())
	{
		define('no_template', true);
		$itpl->display();
	}
	else
	{
		return $itpl->get_var();
	}
	unset($itpl);
}
function _edit()
{
member::check_admin_page_access('simplefaq') or warning('عدم دسترسی!', 'شما دسترسی لازم برای مشاهده این بخش را ندارید!');
	global $d;
	$option = get_param($_POST, 'simplefaq');
	if (count($option))
	{
			$required=array('answer','question','id');
			$msg = null;
			foreach($required as $a){
				$option[$a] =@$d->escapeString($option[$a]);
				if (empty($option[$a]) && !is_numeric($option[$a]))
					$msg .= "-فیلد {$a} نباید خالی باشد<br/>";
			}
	}
			
	if (!empty($msg)){
		echo message($msg, 'error');
	}
	else{
	
			$d->update('simplefaq', array(
				'question' => $option['question'],
				'answer' => $option['answer']
			), "id=".$option['id'], 1);

			if ($d->affectedRows())
				echo message('تنظیمات با موفقیت انجام شد!', 'success');
			else
				echo message('اطلاعات جدید فرقی با قبلی ها ندارد یا در ذخیره اطلاعات خطایی پیش آمده است. مجددا تلاش کنید!!!!', 'error');
		}
	define('no_template', true);
}
function _new()
{
member::check_admin_page_access('simplefaq') or warning('عدم دسترسی!', 'شما دسترسی لازم برای مشاهده این بخش را ندارید!');
	global $d;
	$option = get_param($_POST, 'simplefaq');
	if (is_array($option) && count($option))
	{
	$required=array('question','answer');
	$msg = null;
	foreach($required as $a){
	$option[$a] =@$d->escapeString($option[$a]);
	if (empty($option[$a]) && !is_numeric($option[$a]))
		$msg .= "-فیلد {$a} نباید خالی باشد<br/>";
	}
	}
	else{
		$msg = "هیچ کدام از اطلاعات را وارد نکرده اید!";
		}
	if (!empty($msg))
	{
		echo message($msg, 'error');
	}
	else{
			$d->insert('simplefaq', array(
				'question' => $option['question'],
				'answer' => $option['answer']
			));

			if ($d->affectedRows())
				echo message('سوال با موفقیت اضافه شد!', 'success');
			else
				echo message('در اضافه کردن سوال مشکلی به وجود آمده است دوباره تلاش کنید', 'error');
		}
	define('no_template', true);
}
function _delete()
{
member::check_admin_page_access('simplefaq') or warning('عدم دسترسی!', 'شما دسترسی لازم برای مشاهده این بخش را ندارید!');
	global $d;
	$result = 'ERROR';
	$id = get_param($_GET, 'id');

	if (!empty($id) && is_numeric($id))
	{
		$d->delete('simplefaq', "id='".$id."'", 1);
		if ($d->affectedRows())
			$result = 'SUCCESS';
	}
	exit('{"result":"'.$result.'"}');
}
?>